Index: TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -106,55 +106,65 @@
  org.txm.rcp.wizard,
  swing2swt.layout
 Bundle-SymbolicName: org.txm.rcp;singleton:=true
-Bundle-Version: 0.8.2.qualifier
+Bundle-Version: 0.8.3.qualifier
 Bundle-Name: %Bundle-Name
 Bundle-ClassPath: .,lib/commons-cli-1.2.jar,lib/commons-lang-2.4.jar,l
  ib/junit-4.5.jar,lib/log4j-1.2.12.jar,swing2swt.jar
 Require-Bundle: org.eclipse.ui;visibility:=reexport,
- org.eclipse.core.filesystem;bundle-version="1.2.0";visibility:=reexport,
+ org.eclipse.core.filesystem;visibility:=reexport,
  org.eclipse.ui.ide;visibility:=reexport,
- org.eclipse.ui.console;bundle-version="3.4.0";visibility:=reexport,
+ org.eclipse.ui.console;visibility:=reexport,
  org.eclipse.jface.text;visibility:=reexport,
- org.eclipse.ui.browser;bundle-version="3.2.300";visibility:=reexport,
+ org.eclipse.ui.browser;visibility:=reexport,
  org.eclipse.ui.forms;visibility:=reexport,
  org.eclipse.ui.editors;visibility:=reexport,
- org.eclipse.equinox.p2.ui;bundle-version="2.3.0";visibility:=reexport,
- org.eclipse.equinox.p2.ui.sdk;bundle-version="1.0.300";visibility:=reexport,
- org.eclipse.equinox.p2.ui.sdk.scheduler;bundle-version="1.2.0";visibility:=reexport,
- org.eclipse.e4.ui.css.swt.theme;bundle-version="0.9.100";visibility:=reexport,
+ org.eclipse.equinox.p2.ui;visibility:=reexport,
+ org.eclipse.equinox.p2.ui.sdk;visibility:=reexport,
+ org.eclipse.equinox.p2.ui.sdk.scheduler;visibility:=reexport,
+ org.eclipse.e4.ui.css.swt.theme;visibility:=reexport,
  org.eclipse.equinox.p2.operations;visibility:=reexport,
- org.eclipse.equinox.p2.ui.discovery;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.equinox.p2.metadata;bundle-version="2.2.0";visibility:=reexport,
- org.eclipse.equinox.p2.discovery;bundle-version="1.0.200";visibility:=reexport,
- org.eclipse.equinox.p2.repository;bundle-version="2.3.0";visibility:=reexport,
- org.eclipse.equinox.p2.core;bundle-version="2.3.0";visibility:=reexport,
- org.eclipse.equinox.p2.engine;bundle-version="2.3.0";visibility:=reexport,
+ org.eclipse.equinox.p2.ui.discovery;visibility:=reexport,
+ org.eclipse.equinox.p2.metadata;visibility:=reexport,
+ org.eclipse.equinox.p2.discovery;visibility:=reexport,
+ org.eclipse.equinox.p2.repository;visibility:=reexport,
+ org.eclipse.equinox.p2.core;visibility:=reexport,
+ org.eclipse.equinox.p2.engine;visibility:=reexport,
  org.eclipse.e4.ui.model.workbench;visibility:=reexport,
- org.eclipse.e4.ui.workbench;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.e4.ui.workbench;visibility:=reexport,
  org.eclipse.core.expressions;visibility:=reexport,
- org.eclipse.e4.core.contexts;bundle-version="1.6.0";visibility:=reexport,
- org.eclipse.osgi;bundle-version="3.12.100";visibility:=reexport,
- org.eclipse.equinox.ds;bundle-version="1.5.0";visibility:=reexport,
- org.eclipse.equinox.util;bundle-version="1.0.500";visibility:=reexport,
- org.eclipse.equinox.event;bundle-version="1.4.0";visibility:=reexport,
- org.eclipse.ui.themes;bundle-version="1.2.1";visibility:=reexport,
- org.txm.libs.batik;bundle-version="0.0.0";visibility:=reexport,
+ org.eclipse.e4.core.contexts;visibility:=reexport,
+ org.eclipse.osgi;visibility:=reexport,
+ org.eclipse.equinox.event;visibility:=reexport,
+ org.eclipse.ui.themes;visibility:=reexport,
+ org.eclipse.ui.views;visibility:=reexport,
+ org.eclipse.equinox.p2.discovery.compatibility;visibility:=reexport,
+ org.eclipse.e4.ui.workbench.renderers.swt;visibility:=reexport,
+ org.eclipse.ui.net;visibility:=reexport,
+ org.txm.libs.batik;visibility:=reexport,
  org.txm.libs.args4j;bundle-version="1.0.0";visibility:=reexport,
- org.txm.tokenizer.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.annotation.core;visibility:=reexport,
+ org.txm.groovy.core;visibility:=reexport,
  org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
  org.txm.statsengine.core;visibility:=reexport,
- org.txm.annotation.core;visibility:=reexport,
- org.eclipse.ui.views;bundle-version="3.9.0";visibility:=reexport,
- org.txm.groovy.core;visibility:=reexport,
+ org.txm.tokenizer.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.treetagger.core;visibility:=reexport,
- org.eclipse.equinox.p2.discovery.compatibility;bundle-version="1.0.201";visibility:=reexport,
- org.eclipse.e4.ui.workbench.renderers.swt;visibility:=reexport,
  javax.annotation;bundle-version="1.2.0";visibility:=reexport,
- org.eclipse.ui.net;bundle-version="1.3.300"
+ org.eclipse.ui.navigator;visibility:=reexport,
+ org.apache.felix.scr;bundle-version="2.2.2";visibility:=reexport,
+ org.eclipse.equinox.simpleconfigurator;bundle-version="1.4.100";visibility:=reexport,
+ org.osgi.service.cm;bundle-version="1.6.1";visibility:=reexport,
+ org.osgi.service.metatype;bundle-version="1.4.1";visibility:=reexport,
+ org.osgi.service.component;bundle-version="1.5.0";visibility:=reexport,
+ org.osgi.service.component.annotations;bundle-version="1.5.0";visibility:=reexport,
+ org.eclipse.equinox.simpleconfigurator.manipulator;bundle-version="2.2.0",
+ org.eclipse.e4.ui.widgets;bundle-version="1.3.0";visibility:=reexport,
+ org.eclipse.e4.ui.workbench.addons.swt;bundle-version="1.4.400";visibility:=reexport,
+ org.eclipse.e4.ui.workbench.swt;bundle-version="0.16.600";visibility:=reexport,
+ org.eclipse.debug.core;bundle-version="3.20.0";visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-Activator: org.txm.rcp.Activator
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: %Bundle-Vendor
 Automatic-Module-Name: org.txm.rcp
 
Index: TXM/trunk/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.wordcloud.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  xport,org.txm.chartsengine.rcp;visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.wordcloud.rcp
 

Index: TXM/trunk/org.txm.tigersearch.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.tigersearch.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.tigersearch.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,7 +5,7 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: textometrie.org
 Automatic-Module-Name: org.txm.tigersearch.core
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Require-Bundle: org.txm.core;visibility:=reexport,
  org.txm.treesearch.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: org.txm.tigersearch.preferences

Index: TXM/trunk/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -7,7 +7,7 @@
 Require-Bundle: org.txm.chartsengine.rcp;bundle-version="1.0.0";visibi
  lity:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.raster.rcp
 

Index: TXM/trunk/org.txm.partition.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -9,6 +9,6 @@
  partition.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.partition.rcp
Index: TXM/trunk/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionAdapterFactory.java	(revision 3628)
@@ -2,7 +2,6 @@
 package org.txm.partition.rcp.adapters;
 
 import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
 import org.txm.rcp.adapters.TXMResultAdapter;
Index: TXM/trunk/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.partition.rcp/src/org/txm/partition/rcp/adapters/PartitionDimensionsAdapterFactory.java	(revision 3628)
@@ -2,7 +2,6 @@
 package org.txm.partition.rcp.adapters;
 
 import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
 import org.txm.partition.core.functions.PartitionDimensions;

Index: TXM/trunk/org.txm.annotation.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.annotation.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  ty:=reexport,org.txm.core;visibility:=reexport,org.txm.edition.rcp;bu
  ndle-version="1.0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.annotation.rcp
 

Index: TXM/trunk/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -7,10 +7,10 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
 Require-Bundle: org.txm.chartsengine.core;bundle-version="1.0.0";visib
- ility:=reexport,org.txm.rcp;bundle-version="0.8.0";visibility:=reexpo
+ ility:=reexport,org.txm.rcp;bundle-version="0.8.3";visibility:=reexpo
  rt
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.rcp
 
Index: TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 3628)
@@ -197,10 +197,10 @@
 		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)) {
 			
 			ArrayList<String> chartsEngineNames = new ArrayList<>();
-			ArrayList<ChartCreator> allChartCreators = new ArrayList<>();
+			ArrayList<ChartCreator<?,?>> allChartCreators = new ArrayList<>();
 			
 			for (ChartsEngine engine : ChartsEnginesManager.getChartsEngines()) {
-				for (ChartCreator creator : engine.getChartCreators(this.getEditorPart().getResult())) {
+				for (ChartCreator<?,?> creator : engine.getChartCreators(this.getEditorPart().getResult())) {
 					chartsEngineNames.add(engine.getName());
 					allChartCreators.add(creator);
 				}
@@ -321,6 +321,7 @@
 		if (renderingModeCombo != null) {
 			renderingModeCombo.addSelectionListener(listener);
 		}
+		
 		fontCombo.addSelectionListener(listener);
 		fontSizeCombo.addSelectionListener(listener);
 		fontStyleCombo.addSelectionListener(listener);
Index: TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomInChartView.java
===================================================================
--- TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomInChartView.java	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/ZoomInChartView.java	(revision 3628)
@@ -20,7 +20,7 @@
 	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		ChartEditor chartEditor = SWTChartsComponentsProvider.getActiveChartEditor(event);
+		ChartEditor<?> chartEditor = SWTChartsComponentsProvider.getActiveChartEditor(event);
 		
 		try {
 			Point p = chartEditor.getChartComposite().getSize();
Index: TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java
===================================================================
--- TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/handlers/CopyChartViewToClipboard.java	(revision 3628)
@@ -3,6 +3,7 @@
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.utils.logger.Log;
@@ -18,7 +19,7 @@
 
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-		ChartEditor chartEditor = SWTChartsComponentsProvider.getActiveChartEditor(event);
+		ChartEditor<? extends ChartResult> chartEditor = SWTChartsComponentsProvider.getActiveChartEditor(event);
 		chartEditor.copyChartViewToClipboard();
 		
 		Log.info("Chart view copied to clipboard.");
Index: TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 3628)
@@ -305,7 +305,7 @@
 	 * @param style
 	 * @return the composite
 	 */
-	public abstract ChartComposite createComposite(ChartEditor chartEditor, Composite parent);
+	public abstract ChartComposite createComposite(ChartEditor<?> chartEditor, Composite parent);
 	
 	
 	/**

Index: TXM/trunk/org.txm.cooccurrence.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.cooccurrence.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.cooccurrence.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  bility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.cooccurrence.core
 

Index: TXM/trunk/org.txm.python.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.python.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.python.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,7 +5,7 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: textometrie.org
 Automatic-Module-Name: org.txm.python.rcp
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Require-Bundle: org.txm.python.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.rcp;bundle-version="0.8.2"
+ org.txm.rcp;bundle-version="0.8.3"
 Export-Package: org.txm.python.rcp

Index: TXM/trunk/org.txm.concordance.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.concordance.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  isibility:=reexport,org.txm.statsengine.r.core;bundle-version="1.0.0"
  ;visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometry.org
 Automatic-Module-Name: org.txm.concordance.core
 

Index: TXM/trunk/org.txm.libs.javafx.win32/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.javafx.win32/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.javafx.win32/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.libs.javafx.win32
 Bundle-Version: 1.0.0.qualifier
 Automatic-Module-Name: org.txm.libs.javafx.win32
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-ClassPath: jfxswt.jar,
  jfxrt.jar
 Export-Package: com.sun.deploy.uitoolkit.impl.fx,

Index: TXM/trunk/org.txm.chartsengine.graphstream.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.graphstream.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.graphstream.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -7,11 +7,11 @@
 Bundle-Version: 1.0.0.qualifier
 Require-Bundle: org.txm.chartsengine.graphstream.core;bundle-version="
  1.0.0";visibility:=reexport,org.txm.chartsengine.rcp;bundle-version="
- 1.0.0";visibility:=reexport,org.txm.rcp;bundle-version="0.8.0";visibi
+ 1.0.0";visibility:=reexport,org.txm.rcp;bundle-version="0.8.3";visibi
  lity:=reexport,org.txm.cooccurrence.core;bundle-version="1.0.0";visib
  ility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: %Bundle-Vendor
 Automatic-Module-Name: org.txm.chartsengine.graphstream.rcp
 

Index: TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 3627)
+++ TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 3628)
@@ -1537,7 +1537,7 @@
 	 * @throws RException the r exception
 	 * @throws REXPMismatchException the rEXP mismatch exception
 	 */
-	public REXP safeEval(String expr) throws RserveException, RException, REXPMismatchException {
+	public synchronized REXP safeEval(String expr) throws RserveException, RException, REXPMismatchException {
 		if (logging && inputLogger != null) {
 			inputLogger.printMessage(expr);
 		}
Index: TXM/trunk/org.txm.statsengine.r.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -12,7 +12,7 @@
  =reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.r.core
 

Index: TXM/trunk/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF	(revision 3628)
@@ -3,9 +3,9 @@
 Bundle-Name: CQP.win32
 Bundle-Version: 1.1.0.qualifier
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Eclipse-PlatformFilter: (osgi.os=win32)
 Bundle-Vendor: Textometrie.org
 Fragment-Host: org.txm.libs.cqp
 Automatic-Module-Name: org.txm.libs.cqp.win32
-
+Eclipse-BundleShape: dir

Index: TXM/trunk/org.txm.ahc.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.ahc.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.ahc.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,6 +10,6 @@
  xport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 

Index: TXM/trunk/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,7 +5,7 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
 Require-Bundle: org.txm.core;bundle-version="0.7.0";visibility:=reexpo
- rt,org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,org.eclips
+ rt,org.txm.rcp;bundle-version="0.8.3";visibility:=reexport,org.eclips
  e.ui;visibility:=reexport,org.eclipse.core.runtime;visibility:=reexpo
  rt,org.eclipse.ui.editors;bundle-version="3.8.100";visibility:=reexpo
  rt,org.eclipse.core.expressions;bundle-version="3.4.500";visibility:=
@@ -15,7 +15,7 @@
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-Activator: cql2lsarcp.Activator
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.cql2lsa.rcp
 

Index: TXM/trunk/org.txm.perl.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.perl.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.perl.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,6 +5,6 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: textometrie.org
 Automatic-Module-Name: org.txm.perl.core
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.txm.core;bundle-version="0.8.2";visibility:=reexport
+Bundle-RequiredExecutionEnvironment: JavaSE-16
+Require-Bundle: org.txm.core;bundle-version="0.8.3";visibility:=reexport
 Export-Package: org.txm.perl.core

Index: TXM/trunk/org.txm.index.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.index.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -9,7 +9,7 @@
  org.txm.links.rcp;bundle-version="1.0.0";visibility:=reexport,
  org.txm.index.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.index.rcp
 
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 3627)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 3628)
@@ -28,8 +28,10 @@
 package org.txm.index.rcp.editors;
 
 import java.util.ArrayList;
+import java.util.HashSet;
 import java.util.List;
 
+import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
@@ -354,6 +356,13 @@
 			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
+				
+				List<Line> sel = viewer.getStructuredSelection().toList();
+				HashSet<String> lineNames = new HashSet<String>();
+				for (Line l : sel) {
+					lineNames.add(l.getSignature());
+				}
+				
 				StatusLine.setMessage(TXMUIMessages.sortingColumn);
 				if (viewer.getTable().getSortColumn() != unitColumn) {
 					viewer.getTable().setSortColumn(unitColumn);
@@ -373,6 +382,16 @@
 				
 				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
+				
+				if (lineNames.size() > 0) {
+					List<Line> newLines = (List<Line>) viewer.getInput();
+					List<Line> newSelection = new ArrayList<Line>();
+					for (Line l : newLines) {
+						if (lineNames.contains(l.getSignature())) newSelection.add(l);
+						if (lineNames.size() == 0) break;
+					}
+					viewer.setSelection(new StructuredSelection(newSelection));
+				}
 			}
 			
 			@Override
@@ -421,6 +440,13 @@
 				
 				@Override
 				public void widgetSelected(SelectionEvent e) {
+					
+					List<Line> sel = viewer.getStructuredSelection().toList();
+					HashSet<String> lineNames = new HashSet<String>();
+					for (Line l : sel) {
+						lineNames.add(l.getSignature());
+					}
+					
 					if (viewer.getTable().getSortColumn() != freqColumn) {
 						viewer.getTable().setSortColumn(freqColumn);
 						viewer.getTable().setSortDirection(SWT.UP);
@@ -438,6 +464,16 @@
 					}
 					StatusLine.setMessage(TXMUIMessages.sortDone);
 					fillResultArea();
+					
+					if (lineNames.size() > 0) {
+						List<Line> newLines = (List<Line>) viewer.getInput();
+						List<Line> newSelection = new ArrayList<Line>();
+						for (Line l : newLines) {
+							if (lineNames.contains(l.getSignature())) newSelection.add(l);
+							if (lineNames.size() == 0) break;
+						}
+						viewer.setSelection(new StructuredSelection(newSelection));
+					}
 				}
 				
 				@Override
